View Issue Details

IDCategoryLast Update
0002706features2010-08-16 21:33
ReporteroofusAssigned To 
Reproducibilityalways 
Status newResolutionopen 
PlatformDell D830 core2duo T9300 2.5GHzOSMandrivaOS Version2009.1
Product VersionSVN/2.0-ongoing 
Fixed in Version 
Summary0002706: New feature required to create a new region from a range (defined with the range tool), in place without splitting.
DescriptionFeature required to create a new region from a range (defined with the range tool), in place without splitting.

At the moment there are 2 options that do a similar thing available from the context menu of a defined range. These are:

1) Convert to region in place
2) Consolidate range

There is a subtle difference in these two functions depending on the number of regions encompassed by the range. However both of these functions create (a) new region(s) by splitting the original regions.

What is needed is a new version of both of these functions that create (a) new region(s) without splitting the underlying regions.

e.g. A track has one long region on it. create a range with the range tool over part of this region. Now create a new region of that range, from the original region, that is placed at the same point in time on that same track but over the top of the original untouched region.

This allows manipulation of that new region (gain, nudging in time etc), comparison with the original at any time, and then ultimately the ability to remove it and return to the original underlying audio very easily.
TagsNo tags attached.

Relationships

related to 0002965 new When using the range tool, add an editing option to create a new region in place. 

Activities

colinf

2009-06-02 18:25

updater   ~0006047

It's a bit convoluted, but it is possible to achieve this already:
 - Select a range in range mode
 - 'Copy'
 - Set the edit point (playhead or active mark) to the start of the range selected.
 - 'Paste'

I do agree it'd be nice to have a single action that did this.

oofus

2009-06-02 19:40

developer   ~0006048

Thanks for that, but yeah, need a single action really.

Issue History

Date Modified Username Field Change
2009-06-02 11:10 oofus New Issue
2009-06-02 18:25 colinf Note Added: 0006047
2009-06-02 19:40 oofus Note Added: 0006048
2010-07-24 20:39 cth103 Relationship added related to 0002965
2010-08-16 21:32 oofus cost => 0.00
2010-08-16 21:32 oofus Fixed in Version => 3.X
2010-08-16 21:33 oofus Fixed in Version 3.X =>
2010-08-16 21:33 oofus Target Version => 3.X